%define debug_package %{nil}
%define __strip /bin/true

Name:		osp-telephony
Summary:	osp telephony library
Version:	1.2.1.0
Release:	2
Group:		System/Libraries
License:	Apache License, Version 2.0
Source0:	%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(chromium)
BuildRequires:  pkgconfig(capi-telephony-sim)
BuildRequires:  pkgconfig(capi-telephony-network-info)
BuildRequires:  pkgconfig(capi-network-connection)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(tapi)
BuildRequires:  pkgconfig(osp-appfw)
BuildRequires:  osp-appfw-internal-devel
BuildRequires:  pkgconfig(osp-net)
BuildRequires:  osp-net-internal-devel

# runtime requires
Requires: osp-appfw 
Requires: osp-net

%description
osp telephony library

%package devel
Summary:    osp telephony library (Development)
Group:      TO_BE/FILLED_IN
Requires:   %{name} = %{version}-%{release}

%description devel
osp telephony library (DEV)

%package internal-devel
Summary:    osp telephony library (Internal)
Group:      TO_BE/FILLED_IN
Requires:   %{name} = %{version}-%{release}

%description internal-devel
osp telephony library (Internal-DEV)

%package debug
Summary:    osp telephony library (Development)
Group:      TO_BE/FILLED_IN
Requires:   %{name} = %{version}-%{release}

%description debug
osp telephony library (DEV)

%prep
%setup -q

%build 
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%ifarch %{ix86}
CXXFLAGS="$CXXFLAGS -D_OSP_DEBUG_ -D_SECURE_LOG -D_OSP_X86_ -D_OSP_EMUL_" cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%else
CXXFLAGS="-O2 -g -pipe -Wall -fno-exceptions -Wformat -Wformat-security -Wl,--as-needed -fmessage-length=0 -march=armv7-a -mtune=cortex-a8 -mlittle-endian -mfpu=neon -mfloat-abi=softfp -D__SOFTFP__ -mthumb -Wa,-mimplicit-it=thumb -funwind-tables -D_OSP_DEBUG_ -D_SECURE_LOG -D_OSP_ARMEL_" cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%endif

# Call make instruction with smp support
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/license
cp %{_builddir}/%{name}-%{version}/LICENSE.APLv2  %{buildroot}/usr/share/license/%{name}

%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%manifest osp-telephony.manifest
/usr/share/license/%{name}
%{_libdir}/osp/*.so*

%files devel
%{_includedir}/osp/*.h
%{_libdir}/pkgconfig/osp-telephony.pc

%files internal-devel
%{_includedir}/osp/telephony/*.h

%files debug
%{_libdir}/osp/debug/*.so*
