//
// Open Service Platform
// Copyright (c) 2012-2013 Samsung Electronics Co., Ltd.
//
// Licensed under the Apache License, Version 2.0 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
/**
 * @file        FTel_CallForwardEventArg.cpp
 * @brief       This is the implementation file for the %_CallForwardEventArg class.
 *
 * This file contains the implementation of the %_CallForwardEventArg class.
 */

#include <FBaseErrorDefine.h>
#include "FTel_CallForwardEventArg.h"

using namespace Tizen::Base;

namespace Tizen { namespace Telephony
{

_CallForwardEventArg::_CallForwardEventArg(void)
    : __error(E_SUCCESS)
    , __eventType(_CALL_FORWARD_EVENT_NONE)
{
}

_CallForwardEventArg::_CallForwardEventArg(_CallForwardEventType eventType, String phoneNumber, result r)
    : __error(r)
    , __eventType(eventType)
    , __phoneNumber(phoneNumber)
{

}

_CallForwardEventArg::~_CallForwardEventArg(void)
{
}

result
_CallForwardEventArg::GetError(void) const
{
    return __error;
}

_CallForwardEventType
_CallForwardEventArg::GetEventType(void) const
{
    return __eventType;
}

String
_CallForwardEventArg::GetPhoneNumber(void) const
{
    return __phoneNumber;
}

} } // Tizen::Telephony
