//
// Open Service Platform
// Copyright (c) 2012-2013 Samsung Electronics Co., Ltd.
//
// Licensed under the Apache License, Version 2.0 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
/**
 * @file        FTel_NetworkManagerEventArg.cpp
 * @brief       This is the implementation file for the %_NetworkManagerEventArg class.
 *
 * This file contains the implementation of the %_NetworkManagerEventArg class.
 */

#include <FBaseErrorDefine.h>
#include "FTel_NetworkStatusImpl.h"
#include "FTel_NetworkManagerEventArg.h"

namespace Tizen { namespace Telephony
{

_NetworkManagerEventArg::_NetworkManagerEventArg(void)
{
}

_NetworkManagerEventArg::_NetworkManagerEventArg(const NetworkStatus& networkstatus)
{
    _NetworkStatusImpl::GetInstance(__networkStatus)->SetIsCallServiceAvailable(networkstatus.IsCallServiceAvailable());
    _NetworkStatusImpl::GetInstance(__networkStatus)->SetIsDataServiceAvailable(networkstatus.IsDataServiceAvailable());
    _NetworkStatusImpl::GetInstance(__networkStatus)->SetIsRoaming(networkstatus.IsRoaming());
}

const NetworkStatus&
_NetworkManagerEventArg::GetNetworkStatus(void) const
{
    return __networkStatus;
}


} } // Tizen::Telephony
