//
// Open Service Platform
// Copyright (c) 2012-2013 Samsung Electronics Co., Ltd.
//
// Licensed under the Apache License, Version 2.0 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
/**
 * @file        FTel_SimEventArg.cpp
 * @brief       This is the implementation file for the %_SimEventArg class.
 *
 * This file contains the implementation of the %_SimEventArg class.
 */

#include <FBaseErrorDefine.h>
#include "FTel_SimEventArg.h"

namespace Tizen { namespace Telephony
{

_SimEventArg::_SimEventArg(void)
	: __eventType(_SIM_EVENT_NONE)
	, __simState(SIM_STATE_UNKNOWN)
{
}

_SimEventArg::_SimEventArg(_SimEventType type, SimState state)
	: __eventType(type)
	, __simState(state)
{
}

_SimEventType
_SimEventArg::GetEventType(void) const
{
	return __eventType;
}

SimState
_SimEventArg::GetSimState(void) const
{
    return __simState;
}

} } // Tizen::Telephony
