//
// Open Service Platform
// Copyright (c) 2012-2013 Samsung Electronics Co., Ltd.
//
// Licensed under the Apache License, Version 2.0 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

/**
 * @file    FTel_TelephonyIpcMessages.cpp
 * @brief   This is the generator of IPC messages for the Connectivity service daemon.
 */

#define IPC_MESSAGE_IMPL
#include "FTel_ConnectivityIpcMessages.h"

// Generate constructors.
#include <ipc/struct_constructor_macros.h>
#include "FTel_ConnectivityIpcMessages.h"

// Generate destructors.
#include <ipc/struct_destructor_macros.h>
#include "FTel_ConnectivityIpcMessages.h"

// Generate param traits write methods.
#include <ipc/param_traits_write_macros.h>
namespace IPC {
#include "FTel_ConnectivityIpcMessages.h"
}  // namespace IPC

// Generate param traits read methods.
#include <ipc/param_traits_read_macros.h>
namespace IPC {
#include "FTel_ConnectivityIpcMessages.h"
}  // namespace IPC
